Update Folder
curl --request PUT \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/folders/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentId": "<string>",
"order": 123
}
'import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/folders/{id}"
payload = {
"name": "<string>",
"parentId": "<string>",
"order": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parentId: '<string>', order: 123})
};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Folders
Update Folder
Update an existing folder
PUT
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
folders
/
{id}
Update Folder
Path Parameters
string
required
Organization ID
string
required
Project ID
string
required
Folder ID
Request Body
string
Updated display name
string
New parent folder ID (null for root level)
number
Updated order position
Example Request
{
"name": "Updated Name",
"order": 1.5
}
The folder
type cannot be changed after creation.Response
Returns the updated Folder object.{
"id": "folder123",
"name": "Updated Name",
"parentId": null,
"type": "content",
"order": 1.5,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-22T10:00:00Z"
}
Error Responses
Folder Not Found
{
"error": {
"code": "FOLDER_NOT_FOUND",
"message": "Folder with ID folder123 not found"
}
}
Parent Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Parent folder with id folder456 not found"
}
}
Code Examples
curl -X PUT "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders/folder123" \
-H "Authorization: Bearer YOUR_JWT" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Name",
"order": 1.5
}'
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders/folder123',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_JWT',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Name',
order: 1.5
})
}
);
const folder = await response.json();
console.log(`Updated folder: ${folder.name}`);